Bug 181797 - problems installing to 2nd drive
problems installing to 2nd drive
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-16 12:22 EST by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 22:00:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-02-16 12:22:55 EST
Description of problem: 
 
I have rawhide on 1st ide drive.  I tried to add a 2nd drive and did a fresh 
install to it.  Two serious problems: 
 
1: grub wasn't updated.  I have a boot partition on 1st drive.  It seems that 
neither mbr nor boot partition was written. 
 
2: Big problem: Can't boot 2nd drive.  This drive was setup by anaconda using 
defaults and LVM.  When kernel starts, it doesn't seem to activate this 
volume.  Then it says: 
mount: could not find filesystem /dev/root 
 
I notice that if I boot the 1st drive, before root is mounted, it says 
scanning for lvm.  It then prints both volume group names (disk1 = VolGroup00, 
disk2 = VolGroup01), but then only says something about the first now active). 
 
Now after it mounts root (this is again using the first drive for root), it 
later says both are active, and I have no problem to manually mount the e.g. 
VolGroup01/LogVol00, and sure enough there's my new installation 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
 
every time 
 
Steps to Reproduce: 
1. install 
2. boot 
3. 
   
Actual results: 
 
 
Expected results: 
 
 
Additional info:

Note You need to log in before you can comment on or make changes to this bug.